New Page 1

(c) 2000-2003 TweakNow.com - All rights reserved

Welcome to RAM Idle Limited Edition

Thank you for downloading and using RAM Idle Limited Edition (LE). Here you can find all of the information you need to effectively use RAM Idle LE to increase your system performance. If you have questions not answered here, comments, bug reports, or any suggestions for future versions, please feel free to contact us at info@tweaknow.com.

About RAM Idle Limited Edition

RAM Idle LE is a smart memory management program that will keep your computer running more efficiently, faster, and longer. The program's intelligently manages the free RAM that is available to Windows, and prevents your computer from running progressively slower over time.

The program's System Info capability presents you with detailed information about your system. This data can be instrumental in determining if you have the system requirements to install new hardware or software.

Whether you're a business person who needs to make your computer run more efficiently, a student who enjoys playing a computer game from time to time without degrading the computer's performance when you resume your studying, or a home user who wants to avoid purchasing new hardware by giving your current system a performance tune-up, RAM Idle LE will help keep your computer running more efficiently.

Upgrade to RAM Idle Pro and also get:

  • Cache Optimizer
  • Create Special Shortcut
  • Startup Manager

Click here for more information.

Upgrade to TweakNow PowerPack 2003 and also get:

  • RAM Idle Pro
  • Disk Cleaner
  • CD Autorun
  • Virtual Desktop
  • System Information Pro
  • and much much more

Click here for more information.


New Page 1

E-mail Support

  • For technical support, e-mail us at info@tweaknow.com.

Latest News

  • For the latest news of RAM Idle Limited Edition, please visit our web site at www.tweaknow.com.


RAM Optimizer

RAM Optimizer

  • Target free RAM
    Defines the amount of RAM that will be recovered when the minimum free ram level is reached. Please note that you should not set the value for this option too high, as instead of getting a better performance, your system will run slower. It is very important to set a correct value for this option.
    Recommended value: 1/4 of total RAM or lower.

  • Minimum free RAM
    Defines the minimum free RAM level. When the available RAM is lower then the minimum free RAM value, RAM Idle will automatically perform the defragmentation and recovery process. Please note that in order to avoid system instability, RAM Idle will only start the defragmentation and recovery process when your computer is not busy.
    Recommended value: 1/16 of total RAM or lower.


More Options

More options->Main

  • Start automatically with Windows
    Enable this option to start RAM Idle automatically when Windows start.
    Recommended: enable.

  • Free up X MB of RAM on startup after Y seconds
    When enabled, RAM Idle will automatically recover X MB of RAM at startup.
    Default: disable.

  • Free up X MB every Y minute(s) if free RAM below Z %
    RAM Idle will try to recover X MB of your RAM every Y minutes, only if your CPU Usage is below Z %. Please note that, in this option, RAM Idle will only use the soft recovery methods. This means that RAM Idle will not force Windows to free up the RAM.
    Recommended value: X=2; Y=3; Z=50.

  • Disable the CPU usage detection
    By default RAM Idle will only start the recovery process when the CPU is not busy. However, certain Antivirus or CPU cooling programs may sometimes make the CPU Usage always appear at the 100% level, even though this is not the real value. If your CPU Usage status always remains at the 100% level, make sure that you check this option to tell RAM Idle to ignore your CPU Usage status, otherwise RAM Idle will never have a chance to recover the RAM.
    Recommended: check this option if your CPU Usage always remains at the 100% level.

More options->Tray Icon

  • Tray icon text color
    Use this option to change RAM Idle tray icon text color.
    Default: black.

  • Display "system information" in RAM Idle tray icon

    You can use this option to monitor your system status. There are three items of system information that maybe displayed in the RAM Idle tray icon:

    - Free physical memory.
    - Total CPU usage.
    - System Resources. *

    Default: Free physical memory.

  • Hide RAM Idle tray icon
    Use this option to hide RAM Idle icon from taskbar notification area.
    Default: disable.

More options->Popup Menu

  • Free up ... MB

    Use this feature to manually recover a specified amount of RAM, by selecting a choice from the RAM Idle popup menu.

More options->Others

  • Clear the clipboard when freeing up RAM
    When enabled, RAM Idle will also clear the Windows clipboard* when freeing RAM.
    Default: disable.

  • Play alarm sound when freeing up RAM
    When enabled, RAM Idle will play a .wav file when freeing up RAM.
    Default: disable.

  • Free up RAM hot key : Cltr + Alt +
    Use this hotkey to free up as much RAM as possible at a particular time. To disable this feature, simply clear the edit box.
    Default: disable (the edit box is empty).

  • Disable/enable RAM Idle hotkey : Cltr + Alt +
    Use this hotkey to quickly enable/disable RAM Idle. To disable this feature, simply clear the edit box.
    Default: disable (the edit box is empty).

* The clipboard is a part of the system's memory that is used to temporarily store images or text for future use. An example is when you copy an image in MS Paint (using Ctrl + C), you store the image in the Windows clipboard.


Windows Information

Windows

Display detail information about your Windows.


Process Information

Process Information

In this section you can see all running application (processes) in your Windows system. As addition, this tool also let you change the priority for each application.

Why do you want to change application's priority?

In most cases, giving a high priority to an application will increase it's performance greatly.

Please note:

  1. For optimal performance, you should only set high priority setting for one application at one time.
  2. Some games will have a problem when running in high priority.

How to change application's priority?

Select an application and click "Set Priority" button to set the priority setting. There are three options for the priority setting.

1) Idle priority - Specify this class for a program whose threads run only when the system is idle.

2) Normal priority - Specify this class for a program with no special scheduling needs (default).

3) High priority - Specify this class for a program that performs time-critical tasks that must be executed immediately.


Memory Information

Memory

Display detail information about your memory status.